#include "New_model.h"

#include "Create.h"

namespace MM
{

New_model::
New_model (Text const & name)
:
    name_(name),
    impl_(create <New_model_impl> ())
{
}

void New_model::execute()
{
    impl_().execute (name_);
}

}//MM
